Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class MeetingResponse

    java.lang.Object
      com.compoze.domino.MeetingResponse

All Implemented Interfaces:
  java.io.Serializable

public class MeetingResponse
extends java.lang.Object
implements java.io.Serializable

This class stores summary information about a meeting response from a participant.

See Also:
  Serialized Form

Method Summary
`int` | `getAttendeeType()` Gets the attendee type number of the meeting response.
`java.util.Date` | `getDate()` Gets the date of the meeting response.
`java.lang.String` | `getDateString(java.text.DateFormat dateFormat)` Gets the date of the meeting response formatted with the specified date format.
`boolean` | `getKeepPosted()` Gets the keep posted status of the meeting response.
`java.lang.String` | `getName()` Gets the name of the participant.
`int` | `getSequenceNum()` Gets the sequence number of the meeting response.
`MeetingResponseStatus` | `getStatus()` Gets the meeting response status.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the participant.

  Returns:
    the name of the participant

### getStatus

    public MeetingResponseStatus getStatus()

  Gets the meeting response status.

  Returns:
    the meeting response status

### getDate

    public java.util.Date getDate()

  Gets the date of the meeting response.

  Returns:
    the date of the meeting response or `null` if not available

### getSequenceNum

    public int getSequenceNum()

  Gets the sequence number of the meeting response.

  Returns:
    the sequence number of the meeting response

### getKeepPosted

    public boolean getKeepPosted()

  Gets the keep posted status of the meeting response.

  Returns:
    the keep posted of the meeting response

### getAttendeeType

    public int getAttendeeType()

  Gets the attendee type number of the meeting response. Where 1 = Required 2 = Optional 3 = FYI Optional 4 = Room 5 = Resource

  Returns:
    the attendee type number of the meeting response

### getDateString

    public java.lang.String getDateString(java.text.DateFormat dateFormat)

  Gets the date of the meeting response formatted with the specified date format.

  Parameters:
    `dateFormat` - the date format (may not be `null`)
  Returns:
    the date of the meeting response or empty string if the date of the meeting response is `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.